Subject: Re: bug#56896: 29.0.50; [PATCH] Make the bookmark fringe icon look like a bookmark

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Aug 2022 05:28:37 +0300

> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Tue, 2 Aug 2022 13:05:40 -0700
> 
> On 8/2/2022 12:18 PM, Eli Zaretskii wrote:
> > Why not make the icon customizable, and offer several possible bitmaps
> > to chose from?  Hardcoding a single icon will always annoy someone.
> 
> Sure, we could make this customizable. What would be a good way to go 
> about this? I see three options:
> 
> 1) The status quo: users can already call (define-fringe-bitmap 
> 'bookmark-fringe-bitmap ...) to make the icon whatever they like, though 
> that obviously requires writing (or copy/pasting) Elisp.
> 
> 2) Let `bookmark-set-fringe-mark' take a symbol for a bitmap to use for 
> the mark (it currently takes a boolean). This would solve this immediate 
> case, but not other similar cases. For example, what if a user wants to 
> customize the fringe icons in diff-mode?
> 
> 3) Provide a generic way to select what any fringe bitmap looks like. 
> I'm not quite sure how this would be implemented, but it would then 
> allow users to change the appearance of, say, the `left-curly-arrow' 
> icon. (In the past, I've done this via (1) by just calling 
> `define-fringe-bitmap' again.)

What I had in mind was 2).

Not sure if we need a general capability as in 3), but if it can be
implemented cleanly and will be convenient for user options, I don't
see why not.

Thanks.